#<profile4xi profile = "11" /> 
# -------------------------------------------------------------------------------------------------
#<program4xi program = "zap0000three4xi.py">
#<abstract4xi abstract = "zaps to direction three"/>
#<refer4xi reference = "zap2actor4xi.py"/>
#<state4xi status = "ACK4tagging; ACK4moduletesting; NACK4systemtesting; [Rel 7.21]"/>
# -------------------------------------------------------------------------------------------------

# -------------------------------------------------------------------------------------------------
# Public API
# -------------------------------------------------------------------------------------------------
#<interface4xi interface = " 
__all__ = [ 'zap0000three4xi']
#"
#/>


# -------------------------------------------------------------------------------------------------
# Standard Imports                          
# -------------------------------------------------------------------------------------------------
#<standardize4xi standard = "
import os
import sys
import threading                
import _thread
import _winapi
   

import signal
import itertools
import weakref
import logging 

from math import pi
from math import sin
from math import cos 
from math import fabs
#"
#/>

# -------------------------------------------------------------------------------------------------
# DragonXi imports                               
# -------------------------------------------------------------------------------------------------
#<dragonize4xi dragonization = "
from dummyprocess4xi import DummyProcess4Xi

from zap0001three4xi import zap0001three4xi
from zap0010three4xi import zap0010three4xi
from zap0100three4xi import zap0100three4xi
from zap0200three4xi import zap0200three4xi
from zap0300three4xi import zap0300three4xi
from zap0400three4xi import zap0400three4xi
from zap0500three4xi import zap0500three4xi
from zap0600three4xi import zap0600three4xi
from zap0700three4xi import zap0700three4xi
from zap0800three4xi import zap0800three4xi
from zap0900three4xi import zap0900three4xi
from zap1000three4xi import zap1000three4xi
from zap1100three4xi import zap1100three4xi
from zap1200three4xi import zap1200three4xi
from zap1300three4xi import zap1300three4xi
from zap1400three4xi import zap1400three4xi
from zap1500three4xi import zap1500three4xi
from zap1600three4xi import zap1600three4xi
from zap1700three4xi import zap1700three4xi
from zap1800three4xi import zap1800three4xi
from zap1900three4xi import zap1900three4xi
from zap2000three4xi import zap2000three4xi
from zap2100three4xi import zap2100three4xi
from zap2200three4xi import zap2200three4xi
from zap2300three4xi import zap2300three4xi
from zap2400three4xi import zap2400three4xi
from zap2500three4xi import zap2500three4xi
from zap2600three4xi import zap2600three4xi
from zap2700three4xi import zap2700three4xi
from zap2800three4xi import zap2800three4xi
from zap2900three4xi import zap2900three4xi
from zap3000three4xi import zap3000three4xi
from zap3100three4xi import zap3100three4xi
from zap3200three4xi import zap3200three4xi
from zap3300three4xi import zap3300three4xi

from time4xi import time4xi

#"
#/>

# -------------------------------------------------------------------------------------------------
# Global constants                            
# ------------------------------------------------------------------------------------------------
#<globalize4xi globalization = "
    
#"
#/>

# -------------------------------------------------------------------------------------------------
# Settings
# -------------------------------------------------------------------------------------------------
#<set4xi setting = "
ack2debug = False
ack2dragontrace = False
      
#"
#"/>
    
             
# -----------------------------------------------------------------------------------------------------
#<function4xi function = "zap0000three4xi" usage = " 
#   p2three = Process4Xi(target=zap0000three4xi, args=(queue2three, pipe2three_consumer_channel, pipe2three_publisher_channel, Zap3KB4Xi))
#"> 
# -----------------------------------------------------------------------------------------------------
def zap0000three4xi(queue2three, pipe2three_consumer_channel, pipe2three_publisher_channel, kb2three): 
    '''
    zaps to direction THREE
    ''' 
    
    # -------------------------------------------------------------------------------------------------
    # SET OWN VARIABLES                   
    # -------------------------------------------------------------------------------------------------                                                               
    queue2work4three      = queue2three
    channel2consume4three = pipe2three_consumer_channel
    channel2publish4three = pipe2three_publisher_channel
    kb2try4three          = kb2three
    if ack2debug is True:
        print("\n (STEP 1A2/33) OF ZAP0000THREE4XI -  QUEUE2WORK4THREE: ", queue2work4three)                              #    
        print("\n (STEP 1A3/33) OF ZAP0000THREE4XI -  CHANNEL2CONSUME4THREE : ", channel2consume4three )                  # 
        print("\n (STEP 1A4/33) OF ZAP0000THREE4XI -  CHANNEL2PUBLISH4THREE: ", channel2publish4three)                    #          
        # print("\n (STEP 1A5/33) OF ZAP0000THREE4XI -  KB2TRY4THREE: ", kb2try4three)                                      # 
               
    # ---------------------------------------------------------------------------------------------    
    # GETTING FROM QUEUE
    # --------------------------------------------------------------------------------------------- 
        
    try:
        message2qet4three = queue2work4three.get()
        if ack2debug is True:
            print("(STEP 5A/33) OF ZAP0000THREE4XI - MESSAGE2QET4THREE GOT: ", message2qet4three) 
            # MESSAGE2QET4THREE GOT:  <copy4xi>copy2three</copy4xi>
        
        if message2qet4three == "<copy4xi>copy2three</copy4xi>":
            message2put4three = "<roger4xi>roger2three</roger4xi>"
            if ack2debug is True:
                print("(STEP 5B/33) OF ZAP0000THREE4XI - SET MESSAGE2PUT4THREE TO: ", message2put4three) 
                # SET MESSAGE2PUT4THREE TO:  <roger4xi>roger2three</roger4xi>
        else:
            if ack2debug is True:
                print("(STEP 5c/33) OF ZAP0000THREE4XI - *** UNREGONIZED MESSAGE GOT: ", message2qet4three)           
            message2put4three = "<negative4xi>negative2three</negative4xi>"
            if ack2debug is True:
                print("(STEP 5d/33) OF ZAP0000THREE4XI - SET MESSAGE2PUT4THREE TO: ", message2put4three)             
    except:
        message2put4three = "<negative4xi>negative2three</negative4xi>"
    
    
    # ---------------------------------------------------------------------------------------------    
    # PUTTING TO QUEUE
    # --------------------------------------------------------------------------------------------- 
    if ack2debug is True:
        print("(STEP 6A/33) OF ZAP0000THREE4XI - TRYING TO PUT MESSAGE2PUT4THREE: ", message2put4three)
        #                              
    try:         
        queue2work4three.put(message2put4three) 
        if ack2debug is True:
            print('~' *33)
            print("(STEP 6B/33) OF ZAP0000THREE4XI - PUT TO QUEUE2WORK4THREE: ", queue2work4three, ' MESSAGE2PUT4THREE: ', message2put4three)
            print('~' *33)
            # PUT TO QUEUE2WORK4THREE:  <queue4xi.Queue4Xi object at 0x039DDA70>  MESSAGE2PUT4THREE:  <roger4xi>roger2three</roger4xi> 
        
    except:
        print("(STEP 6c/33) OF ZAP0000THREE4XI *** FAILED TO PUT TO QUEUE2WORK4THREE: ", queue2work4three, ' MESSAGE2PUT4THREE: ', message2put4three)
                   
    # ---------------------------------------------------------------------------------------------    
    # RECEIVING FROM PIPE CONSUMER CHANNEL
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print("(STEP 7A/33) OF ZAP0000THREE4XI - TRYING TO RECEIVE FROM CHANNEL2CONSUME4THREE: ", channel2consume4three)
        # 
    try:
        message2receive4three = channel2consume4three.recv()
        if ack2debug is True:        
            print("(STEP 7B/33) OF ZAP0000THREE4XI - RECEIVED MESSAGE2RECEIVE4THREE: ", message2receive4three)
            #  RECEIVED MESSAGE2RECEIVE4THREE:  <copy4xi>copy2three</copy4xi>
        
        if message2receive4three == "<copy4xi>copy2three</copy4xi>":
            message2send4three = "<roger4xi>roger2three</roger4xi>"
            if ack2debug is True:
                print("(STEP 7C/33) OF ZAP0000THREE4XI - SET MESSAGE2SEND4THREE: ", message2send4three)
                # SENT MESSAGE2SEND4THREE:  <roger4xi>roger2three</roger4xi>  CHANNEL2PUBLISHER4THREE:  <read-write PipeConnection, handle 276> 
        else:
            message2send4three = "<negative4xi>negative2three</negative4xi>"
            if ack2debug is True:
                print("(STEP 7D/33) OF ZAP0000THREE4XI - SET MESSAGE2SEND4THREE: ", message2send4three)        
    except:
        if ack2debug is True:
            print("(STEP 7E/33) OF ZAP0000THREE4XI - *** EXCEPTION WITH CHANNEL2CONSUME4THREE.RECV: ", channel2consume4three.recv) 
        message2send4three = "<negative4xi>negative2three</negative4xi>"
        if ack2debug is True:
            print("(STEP 7F/33) OF ZAP0000THREE4XI - SET MESSAGE2SEND4THREE: ", message2send4three)       
            

    # ---------------------------------------------------------------------------------------------
    # SEND DATA TO THE PIPE'S PUBLISHER CHANNEL 
    # ---------------------------------------------------------------------------------------------
    if ack2debug is True:
        print("(STEP 8A/33) OF ZAP0000THREE4XI - TRYING TO SEND DATA TO CHANNEL2PUBLISHER4THREE: ", channel2publish4three)
        # 
    try:         
        channel2publish4three.send(message2send4three)
        if ack2debug is True:
            print("(STEP 8B/33) OF ZAP0000THREE4XI - SENT MESSAGE2SEND4THREE: ", message2send4three, " CHANNEL2PUBLISHER4THREE: ", channel2publish4three)
            # SENT MESSAGE2SEND4THREE:  <roger4xi>roger2three</roger4xi>  CHANNEL2PUBLISHER4THREE:  <read-write PipeConnection, handle 276>
    except:
        print("(STEP 8C/33) OF ZAP0000THREE4XI - *** FAILED TO SEND MESSAGE2SEND4THREE: ", message2send4three, " CHANNEL2PUBLISHER4THREE: ", channel2publish4three) 


    # -----------------------------------------------------------------------------------------    
    # USING THE DUMMY PROCESS TO CHARGE - THIS APPROACH TRIES FASTER RETURN TO MAINPROCESS4XI  
    # -----------------------------------------------------------------------------------------      
    if ack2debug is True:
        print("(STEP 9A/33) OF ZAP0000THREE4XI - CREATING A DUMMY PROCESS4XI")  
    
# ====  
# [02]
# ====       
    # -----------------------------------------------------------------------------------------    
    # CREATE THE DUMMY PROCESS OBJECT 
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2three = DummyProcess4Xi(target=zap0001three4xi,   
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))
        if ack2debug is True:
            print("(STEP 9B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2THREE: ", dummy2three)
            # CREATED DUMMY_PROCESS4XI OBJECT DUMMY2THREE:  <DummyProcess4Xi(Thread-71, initial)>
        
        ack2dummy = True
    except:
        print("(STEP 9C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2THREE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # START THE DUMMY PROCESS OBJECT
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 9D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2three.start() 
            if ack2debug is True:
                print("(STEP 9E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2THREE: ", dummy2three)
                # STARTED THE DUMMY PROCESS4XI DUMMY2THREE:  <DummyProcess4Xi(Thread-71, started 1504)>
           
            ack2start = True
        except:
            print("(STEP 9F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 9G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False
                             
        
# ====  
# [10]
# ==== 
   
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy10three = DummyProcess4Xi(target=zap0010three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 10B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY10THREE: ", dummy10three)
            
        
        ack2dummy = True
    except:
        print("(STEP 10C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY10THREE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 10 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 10D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy10three.start() 
            if ack2debug is True:
                print("(STEP 10E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY10THREE: ", dummy10three)               # <DummyProcess4Xi(Thread-72, started 4804)> 
                
            
            ack2start = True
        except:
            print("(STEP 10F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 10G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                             

        
# =====  
# [100]
# ===== 
       
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy100three = DummyProcess4Xi(target=zap0100three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 100B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY100THREE: ", dummy100three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 100C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY100THREE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 100D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())
            # STARTING THE DUMMY PROCESS4XI TIME:  02:38:56 08/31/10 Pacific Daylight Time  
        ack2start = False
        try:      
            dummy100three.start() 
            if ack2debug is True:
                print("(STEP 100E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY100THREE: ", dummy100three)
                # 
            
            ack2start = True
        except:
            print("(STEP 100F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 100G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      

        
# =====  
# [200]
# ===== 
         
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy200three = DummyProcess4Xi(target=zap0200three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 200B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY200THREE: ", dummy200three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 200C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY200THREE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 200D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy200three.start() 
            if ack2debug is True:
                print("(STEP 200E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY200THREE: ", dummy200three)
                #         
            
            ack2start = True
        except:
            print("(STEP 200F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 200G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [300]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy300three = DummyProcess4Xi(target=zap0300three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 300B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY300THREE: ", dummy300three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 300C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY300THREE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 300D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy300three.start() 
            if ack2debug is True:
                print("(STEP 300E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY300THREE: ", dummy300three)
                # 
            
            ack2start = True
        except:
            print("(STEP 300F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 300G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [400]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy400three = DummyProcess4Xi(target=zap0400three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 400B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY400THREE: ", dummy400three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 400C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY400THREE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 400D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy400three.start() 
            if ack2debug is True:
                print("(STEP 400E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY400THREE: ", dummy400three)
                # 
            
            ack2start = True
        except:
            print("(STEP 400F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 400G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# =====  
# [500]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy500three = DummyProcess4Xi(target=zap0500three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 500B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY500THREE: ", dummy500three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 500C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY500THREE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 500D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy500three.start() 
            if ack2debug is True:
                print("(STEP 500E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY500THREE: ", dummy500three)
                # 
            
            ack2start = True
        except:
            print("(STEP 500F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 500G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# =====  
# [600]
# ===== 
                
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy600three = DummyProcess4Xi(target=zap0600three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 600B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY600THREE: ", dummy600three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 600C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY600THREE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 600D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy600three.start() 
            if ack2debug is True:
                print("(STEP 600E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY600THREE: ", dummy600three)
                # 
            
            ack2start = True
        except:
            print("(STEP 600F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 600G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [700]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy700three = DummyProcess4Xi(target=zap0700three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 700B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY700THREE: ", dummy700three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 700C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY700THREE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 700D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy700three.start() 
            if ack2debug is True:
                print("(STEP 700E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY700THREE: ", dummy700three)
                # 
            
            ack2start = True
        except:
            print("(STEP 700F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 700G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [800]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy800three = DummyProcess4Xi(target=zap0800three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 800B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY800THREE: ", dummy800three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 800C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY800THREE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 800D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy800three.start() 
            if ack2debug is True:
                print("(STEP 800E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY800THREE: ", dummy800three)
                # 
            
            ack2start = True
        except:
            print("(STEP 800F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 800G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# =====  
# [900]
# ===== 
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy900three = DummyProcess4Xi(target=zap0900three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 900B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY900THREE: ", dummy900three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 900C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY900THREE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 900D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy900three.start() 
            if ack2debug is True:
                print("(STEP 900E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY900THREE: ", dummy900three)
                # 
            
            ack2start = True
        except:
            print("(STEP 900F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 900G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False                              
        
# ======  
# [1000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1000three = DummyProcess4Xi(target=zap1000three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 1000B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1000THREE: ", dummy1000three)
            # <DummyProcess4Xi(Thread-82, initial)> 
        
        ack2dummy = True
    except:
        print("(STEP 1000C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1000THREE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1000D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1000three.start() 
            if ack2debug is True:
                print("(STEP 1000E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1000THREE: ", dummy1000three)
                # 
            
            ack2start = True
        except:
            print("(STEP 1000F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1000G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1100]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1100three = DummyProcess4Xi(target=zap1100three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 1100B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1100THREE: ", dummy1100three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1100C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1100THREE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1100D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1100three.start() 
            if ack2debug is True:
                print("(STEP 1100E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1100THREE: ", dummy1100three)
                # 
            
            ack2start = True
        except:
            print("(STEP 1100F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1100G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1200]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1200three = DummyProcess4Xi(target=zap1200three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 1200B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1200THREE: ", dummy1200three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1200C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1200THREE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1200D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1200three.start() 
            if ack2debug is True:
                print("(STEP 1200E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1200THREE: ", dummy1200three)
                # 
            
            ack2start = True
        except:
            print("(STEP 1200F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1200G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
        
# ======  
# [1300]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1300three = DummyProcess4Xi(target=zap1300three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 1300B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1300THREE: ", dummy1300three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1300C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1300THREE ***")
        ack2dummy = False
        
    # -----------------------------------------------------------------------------------------    
    # 1300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1300D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1300three.start() 
            if ack2debug is True:
                print("(STEP 1300E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1300THREE: ", dummy1300three)
                # 
            
            ack2start = True
        except:
            print("(STEP 1300F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1300G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False      
        
# ======  
# [1400]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1400three = DummyProcess4Xi(target=zap1400three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 1400B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1400THREE: ", dummy1400three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1400C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1400THREE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1400D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1400three.start() 
            if ack2debug is True:
                print("(STEP 1400E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1400THREE: ", dummy1400three)
                # 
            
            ack2start = True
        except:
            print("(STEP 1400F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1400G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1500]
# ====== 
          
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1500three = DummyProcess4Xi(target=zap1500three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 1500B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1500THREE: ", dummy1500three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1500C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1500THREE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 1500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1500D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1500three.start() 
            if ack2debug is True:
                print("(STEP 1500E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1500THREE: ", dummy1500three)
                # 
            
            ack2start = True
        except:
            print("(STEP 1500F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1500G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [1600]
# ====== 
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1600three = DummyProcess4Xi(target=zap1600three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 1600B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1600THREE: ", dummy1600three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1600C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1600THREE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1600D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1600three.start() 
            if ack2debug is True:
                print("(STEP 1600E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1600THREE: ", dummy1600three)
                # 
            
            ack2start = True
        except:
            print("(STEP 1600F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1600G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     

        
# ======  
# [1700]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1700three = DummyProcess4Xi(target=zap1700three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 1700B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1700THREE: ", dummy1700three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1700C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1700THREE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1700D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1700three.start() 
            if ack2debug is True:
                print("(STEP 1700E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1700THREE: ", dummy1700three)
                # 
            
            ack2start = True
        except:
            print("(STEP 1700F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1700G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             
        
# ======  
# [1800]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1800three = DummyProcess4Xi(target=zap1800three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 1800B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1800THREE: ", dummy1800three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1800C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1800THREE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1800D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1800three.start() 
            if ack2debug is True:
                print("(STEP 1800E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1800THREE: ", dummy1800three)
                # 
            
            ack2start = True
        except:
            print("(STEP 1800F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1800G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False   
        
        
# ======  
# [1900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy1900three = DummyProcess4Xi(target=zap1900three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 1900B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY1900THREE: ", dummy1900three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 1900C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY1900THREE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 1900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 1900D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy1900three.start() 
            if ack2debug is True:
                print("(STEP 1900E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY1900THREE: ", dummy1900three)
                # 
            
            ack2start = True
        except:
            print("(STEP 1900F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 1900G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False             

    
        
# ======  
# [2000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2000three = DummyProcess4Xi(target=zap2000three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 2000B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2000THREE: ", dummy2000three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2000C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2000THREE ***")
        ack2dummy = False
                       
    # -----------------------------------------------------------------------------------------    
    # 2000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2000D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2000three.start() 
            if ack2debug is True:
                print("(STEP 2000E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2000THREE: ", dummy2000three)
                # 
            
            ack2start = True
        except:
            print("(STEP 2000F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2000G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2100]
# ====== 
         
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2100three = DummyProcess4Xi(target=zap2100three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 2100B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2100THREE: ", dummy2100three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2100C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2100THREE ***")
        ack2dummy = False
                 
    # -----------------------------------------------------------------------------------------    
    # 2100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2100D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2100three.start() 
            if ack2debug is True:
                print("(STEP 2100E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2100THREE: ", dummy2100three)
                # 
            
            ack2start = True
        except:
            print("(STEP 2100F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2100G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2200]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2200three = DummyProcess4Xi(target=zap2200three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 2200B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2200THREE: ", dummy2200three)
            #  
        
        ack2dummy = True
    except:
        print("(STEP 2200C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2200THREE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2200D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2200three.start() 
            if ack2debug is True:
                print("(STEP 2200E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2200THREE: ", dummy2200three)
                # 
            
            ack2start = True
        except:
            print("(STEP 2200F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2200G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2300]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2300three = DummyProcess4Xi(target=zap2300three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 2300B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2300THREE: ", dummy2300three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2300C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2300THREE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2300D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2300three.start() 
            if ack2debug is True:
                print("(STEP 2300E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2300THREE: ", dummy2300three)
                # 
            
            ack2start = True
        except:
            print("(STEP 2300F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2300G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2400]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2400three = DummyProcess4Xi(target=zap2400three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 2400B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2400THREE: ", dummy2400three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2400C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2400THREE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2400 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2400D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2400three.start() 
            if ack2debug is True:
                print("(STEP 2400E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2400THREE: ", dummy2400three)
                # 
            
            ack2start = True
        except:
            print("(STEP 2400F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2400G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
                                                                            
         
# ======  
# [2500]
# ====== 
       
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2500three = DummyProcess4Xi(target=zap2500three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 2500B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2500THREE: ", dummy2500three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2500C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2500THREE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2500 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2500D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2500three.start() 
            if ack2debug is True:
                print("(STEP 2500E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2500THREE: ", dummy2500three)
                # 
            
            ack2start = True
        except:
            print("(STEP 2500F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2500G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2600]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2600three = DummyProcess4Xi(target=zap2600three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 2600B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2600THREE: ", dummy2600three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2600C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2600THREE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2600 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2600D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2600three.start() 
            if ack2debug is True:
                print("(STEP 2600E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2600THREE: ", dummy2600three)
                # 
            
            ack2start = True
        except:
            print("(STEP 2600F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2600G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2700]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2700three = DummyProcess4Xi(target=zap2700three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 2700B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2700THREE: ", dummy2700three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2700C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2700THREE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2700 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2700D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2700three.start() 
            if ack2debug is True:
                print("(STEP 2700E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2700THREE: ", dummy2700three)
                # 
            
            ack2start = True
        except:
            print("(STEP 2700F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2700G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2800]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2800three = DummyProcess4Xi(target=zap2800three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 2800B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2800THREE: ", dummy2800three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2800C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2800THREE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2800 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2800D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2800three.start() 
            if ack2debug is True:
                print("(STEP 2800E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2800THREE: ", dummy2800three)
                # 
            
            ack2start = True
        except:
            print("(STEP 2800F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2800G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [2900]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy2900three = DummyProcess4Xi(target=zap2900three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 2900B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY2900THREE: ", dummy2900three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 2900C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY2900THREE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 2900 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 2900D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy2900three.start() 
            if ack2debug is True:
                print("(STEP 2900E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY2900THREE: ", dummy2900three)
                # 
            
            ack2start = True
        except:
            print("(STEP 2900F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 2900G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3000]
# ====== 
        
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3000three = DummyProcess4Xi(target=zap3000three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 3000B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3000THREE: ", dummy3000three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3000C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3000THREE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3000 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3000D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3000three.start() 
            if ack2debug is True:
                print("(STEP 3000E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY3000THREE: ", dummy3000three)
                # 
            
            ack2start = True
        except:
            print("(STEP 3000F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3000G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3100]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3100three = DummyProcess4Xi(target=zap3100three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 3100B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3100THREE: ", dummy3100three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3100C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3100THREE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3100 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3100D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3100three.start() 
            if ack2debug is True:
                print("(STEP 3100E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY3100THREE: ", dummy3100three)
                # 
            
            ack2start = True
        except:
            print("(STEP 3100F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3100G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3200]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3200three = DummyProcess4Xi(target=zap3200three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 3200B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3200THREE: ", dummy3200three)
            # 
        
        ack2dummy = True
    except:
        print("(STEP 3200C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3200THREE ***")
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3200 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3200D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3200three.start() 
            if ack2debug is True:
                print("(STEP 3200E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY3200THREE: ", dummy3200three)
                #  
            
            ack2start = True
        except:
            print("(STEP 3200F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3200G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
        
# ======  
# [3300]
# ====== 
            
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT CREATION
    # -----------------------------------------------------------------------------------------           
    try:                            
        dummy3300three = DummyProcess4Xi(target=zap3300three4xi, 
                                     args =(queue2work4three,
                                            channel2consume4three, channel2publish4three,
                                            kb2try4three))                               
        if ack2debug is True:
            print("(STEP 3300B/33) OF ZAP0000THREE4XI - CREATED DUMMY_PROCESS4XI OBJECT DUMMY3300THREE: ", dummy3300three)
            # <DummyProcess4Xi(Thread-105, initial)>  
        
        ack2dummy = True
    except:
        print("(STEP 3300C/33) OF ZAP0000THREE4XI *** FAILED TO CREATE DUMMY_PROCESS4XI OBJECT DUMMY3300THREE ***") 
        ack2dummy = False
                
    # -----------------------------------------------------------------------------------------    
    # 3300 DUMMY PROCESS OBJECT START
    # -----------------------------------------------------------------------------------------              
    if ack2dummy is True:
        if ack2debug is True:
            print("(STEP 3300D/33) OF ZAP0000THREE4XI - STARTING THE DUMMY PROCESS4XI TIME: ", time4xi())  
        ack2start = False
        try:      
            dummy3300three.start() 
            if ack2debug is True:
                print("(STEP 3300E/33) OF ZAP0000THREE4XI - STARTED THE DUMMY PROCESS4XI DUMMY3300THREE: ", dummy3300three)
                # STARTED THE DUMMY PROCESS4XI DUMMY3300THREE:  <DummyProcess4Xi(Thread-105, started 4100)>
                
            ack2start = True
        except:
            print("(STEP 3300F/33) OF ZAP0000THREE4XI *** FAILED TO START THE DUMMY PROCESS4XI ***")
    else:
        
        print("(STEP 3300G/33) OF ZAP0000THREE4XI ** YIELDED STARTING THE DUMMY PROCESS4XI - ACK2DUMMY: ", ack2dummy)
        ack2start = False     
           
    # ---------------------------------------------------------------------------------------------    
    # RETURN
    # ---------------------------------------------------------------------------------------------     
    if ack2debug is True:
        print('=' *33)
        print("(STEP 11/33) OF ZAP0000THREE4XI - RETURNING TIME: ", time4xi())
        print('=' *33)
        # 01:51:45 12/04/10 Pacific Standard Time 
    
    
        
#</function4xi>
#</program4xi>

# -------------------------------------------------------------------------------------------------
# Recorded History                             
# ------------------------------------------------------------------------------------------------- 
#<record4xi record = "
#   test_zap2actor4xi.txt
#   scope-sense*4xi.xml
#   sense-test-zap2actor4xi.xml
#   reason-test-zap2actor4xi.xml
#   ace-test-zap2actor4xi4xi.xml

# -------------------------------------------------------------------------------------------------
# Legal Notice                             
# ------------------------------------------------------------------------------------------------- 
#<protect4xi protection = "copyright"
#   owner = "Small & Smart"
#   rights = "All rights reserved"
#   state = "California"
#   country = "United States of America"
#   references = "Legal notice at www.dragonxi.com; www.yourdragonxi.com; www.yourdragonxi.org; www.dragon2xi.com/; www.dragon4xi.com/; www.dragon8xi.com/ " 
#   codes = "Codes established in California and applicable to corporations in California"
#   compliance = "The California Law"
#   court = "Supreme Court of California, 350 McAllister Street, San Francisco, CA 94102-4783"
#/>
 

#<end4xi end = "
# -------------------------------------------------------------------------------------------------
# end of zap0000three4xi.py                            
# ------------------------------------------------------------------------------------------------- 
#"
#/>
